using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATWorkItemTransmit")]
public partial class AtworkItemTransmit
{
    public int? TransmitId { get; set; }

    public int? SourceWorkItemId { get; set; }

    public int? RemoteWorkItemId { get; set; }

    public int? TransmitStatus { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? TransmittedDate { get; set; }

    [Column("RemoteURL")]
    [StringLength(50)]
    public string? RemoteUrl { get; set; }

    [StringLength(50)]
    public string? RemoteConnectionName { get; set; }

    [StringLength(50)]
    public string? DestinationProcessName { get; set; }

    [StringLength(50)]
    public string? LoginName { get; set; }

    [StringLength(50)]
    public string? Password { get; set; }

    public bool? TransmitFields { get; set; }

    public bool? TransmitDocuments { get; set; }

    public bool? TransmitForms { get; set; }
}
